Public Member Functions

# BinNavi.API.plugins.PluginInterface Class Reference

Gives plugins access to BinNavi. More...

Inherits BinNavi::Plugins::IPluginInterface.

List of all members.

## Public Member Functions
DatabaseManager | getDatabaseManager ()
| The global database manager.
MainWindow | getMainWindow ()
| The BinNavi main window.
String | getProgramPath ()
| The program path to the BinNavi.jar file.
View2D | showInLastWindow (final View view)
| Shows a view in the last window.
View2D | showInNewWindow (final View view)
| Shows a view in a new window.
View2D | showInWindow (final GraphWindow window, final View view)
| Shows a view in a given window.
String | toString ()
| Printable representation of the plugin interface.

## Detailed Description

The PluginInterface class is the class that plugins and scripts use to interact with BinNavi.

Instances of this class are passed to all plugins and scripts that want to interact with BinNavi.

## Member Function Documentation

DatabaseManager BinNavi.API.plugins.PluginInterface.getDatabaseManager | ( |  | ) |

Returns the database manager that contains all databases known to BinNavi.

Returns:
  The database manager.

MainWindow BinNavi.API.plugins.PluginInterface.getMainWindow | ( |  | ) |

Returns the main window object. This object represents the BinNavi window that contains the project tree.

Returns:
  The BinNavi main window.

String BinNavi.API.plugins.PluginInterface.getProgramPath | ( |  | ) |

Returns the path to the BinNavi JAR file.

Returns:
  The path to the BinNavi JAR file.

View2D BinNavi.API.plugins.PluginInterface.showInLastWindow | ( | final View | view | ) |

Shows a view in the last window.

Parameters:

  | view | The view to show.

Returns:
  The view2d object that is shown.

View2D BinNavi.API.plugins.PluginInterface.showInNewWindow | ( | final View | view | ) |

Shows a view in a new window.

Parameters:

  | view | The view to show.

Returns:
  The view2d object that is shown.

View2D BinNavi.API.plugins.PluginInterface.showInWindow | ( | final GraphWindow | window,
|  | final View | view |
| ) |  |  |

Shows a view in a given window.

Parameters:

  | window | The window where the view is shown.
  | view | The view to show.

Returns:
  The view2d object that is shown.

String BinNavi.API.plugins.PluginInterface.toString | ( |  | ) |

Returns the string representation of the plugin interface.

Returns:
  The string representation of the plugin interface.